Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.simpleeval
Class JobEntrySimpleEval

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.simpleeval.JobEntrySimpleEval

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntrySimpleEval

extends JobEntryBase
implements Cloneable, JobEntryInterface

This defines a 'simple evaluation' job entry.

Since:
  01-01-2009
Author:
  Samatar Hassan

Field Summary
`static int` | `FIELD_TYPE_DATE_TIME`
`static int` | `FIELD_TYPE_NUMBER`
`static int` | `FIELD_TYPE_STRING`
`int` | `fieldtype`
`static String[]` | `fieldTypeCode`
`static String[]` | `fieldTypeDesc`
`static int` | `SUCCESS_CONDITION_DIFFERENT`
`static int` | `SUCCESS_CONDITION_EQUAL`
`static int` | `SUCCESS_NUMBER_CONDITION_BETWEEN`
`static int` | `SUCCESS_NUMBER_CONDITION_EQUAL`
`static int` | `SUCCESS_NUMBER_CONDITION_GREATER`
`static int` | `SUCCESS_NUMBER_CONDITION_GREATEREQUAL`
`static int` | `SUCCESS_NUMBER_CONDITION_SMALLER`
`static int` | `SUCCESS_NUMBER_CONDITION_SMALLEREQUAL`
`static int` | `SUCCESS_NUMBER_CONDITIONDIFFERENT`
`int` | `successcondition`
`static String[]` | `successConditionCode`
`static String[]` | `successConditionDesc`
`int` | `successnumbercondition`
`static String[]` | `successNumberConditionCode`
`static String[]` | `successNumberConditionDesc`
`static int` | `VALUE_TYPE_FIELD`
`static int` | `VALUE_TYPE_VARIABLE`
`int` | `valuetype`
`static String[]` | `valueTypeCode`
`static String[]` | `valueTypeDesc`

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntrySimpleEval()`
`JobEntrySimpleEval(JobEntryBase jeb)`
`JobEntrySimpleEval(String n)`

Method Summary
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)`
`String` | `getCompareValue()`
`String` | `getFieldName()`
`static int` | `getFieldTypeByDesc(String tt)`
`static String` | `getFieldTypeDesc(int i)`
`String` | `getMask()`
`String` | `getMaxValue()`
`String` | `getMinValue()`
`static int` | `getSuccessConditionByDesc(String tt)`
`static String` | `getSuccessConditionDesc(int i)`
`static int` | `getSuccessNumberConditionByDesc(String tt)`
`static String` | `getSuccessNumberConditionDesc(int i)`
`static int` | `getValueTypeByDesc(String tt)`
`static String` | `getValueTypeDesc(int i)`
`String` | `getVariableName()`
`String` | `getXML()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setCompareValue(String comparevalue)`
`void` | `setFieldName(String fieldname)`
`void` | `setMask(String mask)`
`void` | `setMaxValue(String maxvalue)`
`void` | `setMinValue(String minvalue)`
`void` | `setVariableName(String variablename)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`check, clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`check, clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Field Detail

### valueTypeDesc

    public static final String[] valueTypeDesc

### valueTypeCode

    public static final String[] valueTypeCode

### VALUE_TYPE_FIELD

    public static final int VALUE_TYPE_FIELD

See Also:
  Constant Field Values

### VALUE_TYPE_VARIABLE

    public static final int VALUE_TYPE_VARIABLE

See Also:
  Constant Field Values

### valuetype

    public int valuetype

### successConditionDesc

    public static final String[] successConditionDesc

### successConditionCode

    public static final String[] successConditionCode

### SUCCESS_CONDITION_EQUAL

    public static final int SUCCESS_CONDITION_EQUAL

See Also:
  Constant Field Values

### SUCCESS_CONDITION_DIFFERENT

    public static final int SUCCESS_CONDITION_DIFFERENT

See Also:
  Constant Field Values

### successcondition

    public int successcondition

### fieldTypeDesc

    public static final String[] fieldTypeDesc

### fieldTypeCode

    public static final String[] fieldTypeCode

### FIELD_TYPE_STRING

    public static final int FIELD_TYPE_STRING

See Also:
  Constant Field Values

### FIELD_TYPE_NUMBER

    public static final int FIELD_TYPE_NUMBER

See Also:
  Constant Field Values

### FIELD_TYPE_DATE_TIME

    public static final int FIELD_TYPE_DATE_TIME

See Also:
  Constant Field Values

### fieldtype

    public int fieldtype

### successNumberConditionDesc

    public static final String[] successNumberConditionDesc

### successNumberConditionCode

    public static final String[] successNumberConditionCode

### SUCCESS_NUMBER_CONDITION_EQUAL

    public static final int SUCCESS_NUMBER_CONDITION_EQUAL

See Also:
  Constant Field Values

### SUCCESS_NUMBER_CONDITIONDIFFERENT

    public static final int SUCCESS_NUMBER_CONDITIONDIFFERENT

See Also:
  Constant Field Values

### SUCCESS_NUMBER_CONDITION_SMALLER

    public static final int SUCCESS_NUMBER_CONDITION_SMALLER

See Also:
  Constant Field Values

### SUCCESS_NUMBER_CONDITION_SMALLEREQUAL

    public static final int SUCCESS_NUMBER_CONDITION_SMALLEREQUAL

See Also:
  Constant Field Values

### SUCCESS_NUMBER_CONDITION_GREATER

    public static final int SUCCESS_NUMBER_CONDITION_GREATER

See Also:
  Constant Field Values

### SUCCESS_NUMBER_CONDITION_GREATEREQUAL

    public static final int SUCCESS_NUMBER_CONDITION_GREATEREQUAL

See Also:
  Constant Field Values

### SUCCESS_NUMBER_CONDITION_BETWEEN

    public static final int SUCCESS_NUMBER_CONDITION_BETWEEN

See Also:
  Constant Field Values

### successnumbercondition

    public int successnumbercondition

Constructor Detail

### JobEntrySimpleEval

    public JobEntrySimpleEval(String n)

### JobEntrySimpleEval

    public JobEntrySimpleEval()

### JobEntrySimpleEval

    public JobEntrySimpleEval(JobEntryBase jeb)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)
                                       throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `execute` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getValueTypeDesc

    public static String getValueTypeDesc(int i)

### getFieldTypeDesc

    public static String getFieldTypeDesc(int i)

### getSuccessConditionDesc

    public static String getSuccessConditionDesc(int i)

### getSuccessNumberConditionDesc

    public static String getSuccessNumberConditionDesc(int i)

### getValueTypeByDesc

    public static int getValueTypeByDesc(String tt)

### getFieldTypeByDesc

    public static int getFieldTypeByDesc(String tt)

### getSuccessConditionByDesc

    public static int getSuccessConditionByDesc(String tt)

### getSuccessNumberConditionByDesc

    public static int getSuccessNumberConditionByDesc(String tt)

### setMinValue

    public void setMinValue(String minvalue)

### getMinValue

    public String getMinValue()

### setCompareValue

    public void setCompareValue(String comparevalue)

### getMask

    public String getMask()

### setMask

    public void setMask(String mask)

### getFieldName

    public String getFieldName()

### setFieldName

    public void setFieldName(String fieldname)

### getVariableName

    public String getVariableName()

### setVariableName

    public void setVariableName(String variablename)

### getCompareValue

    public String getCompareValue()

### setMaxValue

    public void setMaxValue(String maxvalue)

### getMaxValue

    public String getMaxValue()

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD